%def_disable static
%define oname gtkspell

Name: libgtkspell
Version: 2.0.11
Release: alt1

Summary: a spell-checking addon for GTK's TextView widget

License: GPL
Group: Graphical desktop/GNOME
Url: http://gtkspell.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://gtkspell.sf.net/download/%oname-%version.tar.bz2
Patch1: http://www.abisource.com/~dom/%oname-%version-enchant.patch
Patch2: %oname-2.0.4-alt-i18n-v1.1.patch.bz2

BuildPreReq: rpm-build-compat

# Automatically added by buildreq on Mon Jan 07 2008
BuildRequires: gcc-c++ gtk-doc libenchant-devel libgtk+2-devel

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
GtkTextView widget.  Right-clicking a misspelled word pops up a menu of
suggested replacements.

%package -n %name-devel
Summary: Development files needed to build applications with %name
Group: Development/C
Requires: %name = %version
Requires: libenchant-devel libgtk+2-devel

%package -n %name-devel-static
Summary: Static library needed to build static applications with %name
Group: Development/C
Requires: %name-devel = %version

%description -n %name-devel
Development files needed to build applications with %name.

%description -n %name-devel-static
Static library needed to build statically linked applications with %name.

%prep
%setup -q -n %oname-%version
%patch1 -p1
#%patch2 -p1

%build
%__autoreconf
%configure %{subst_enable static}

%make_build

%install
%make_install install DESTDIR=%buildroot
%find_lang %oname

%post -n %name -p %post_ldconfig
%postun -n %name -p %post_ldconfig

%files -f %oname.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/*.so.*

%files -n %name-devel
%_libdir/*.so
%_includedir/gtkspell-2.0/
%_pkgconfigdir/*
%doc %_gtkdocdir/*

%if_enabled static
%files -n %name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0.11-alt1
- new version 2.0.11 (fix bug #13840), change Packager
- rename spec, cleanup spec, update buildreqs
- really disabled static library
- apply new enchant support patch

* Thu May 11 2006 Vital Khilko <vk@altlinux.ru> 2.0.4-alt6
- #9229

* Thu May 11 2006 Vital Khilko <vk@altlinux.ru> 2.0.4-alt5
- #9497
- removed ru and be package description

* Mon May 16 2005 Vital Khilko <vk@altlinux.ru> 2.0.4-alt4
- remove gcc3.2-c++ dependencies

* Wed Aug 04 2004 Vital Khilko <vk@altlinux.ru> 2.0.4-alt3
- replaced add_word_to_session() to add_word_to_personal() in enchant patch
- added ru and be package description

* Fri Jul 09 2004 Dmitry Vukolov <dav@altlinux.ru> 2.0.4-alt2
- NMU to fix incorrect i18n patch behaviour that interfered with applications'
  own internationalization (#4745)

* Thu Dec 11 2003 Vital Khilko <vk@altlinux.ru> 2.0.4-alt1
- added enchant support instead aspell
- added i18n support by VK@
- added russian and belarusian translation
